Package org.apache.sling.clam.job.internal

## Class JcrPropertyScanJobConsumer

- java.lang.Object
- - org.apache.sling.clam.job.internal.JcrPropertyScanJobConsumer

All Implemented Interfaces:
  `org.apache.sling.event.jobs.consumer.JobConsumer`

    public class JcrPropertyScanJobConsumer
    extends java.lang.Object
    implements org.apache.sling.event.jobs.consumer.JobConsumer

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.sling.event.jobs.consumer.JobConsumer

`org.apache.sling.event.jobs.consumer.JobConsumer.AsyncHandler, org.apache.sling.event.jobs.consumer.JobConsumer.JobResult`

### Field Summary

### Fields inherited from interface org.apache.sling.event.jobs.consumer.JobConsumer

`PROPERTY_JOB_ASYNC_HANDLER, PROPERTY_TOPICS`

### Constructor Summary

Constructors
`JcrPropertyScanJobConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.event.jobs.consumer.JobConsumer.JobResult` `process​(org.apache.sling.event.jobs.Job job)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JcrPropertyScanJobConsumer

    public JcrPropertyScanJobConsumer()

### Method Detail

#### process

    public org.apache.sling.event.jobs.consumer.JobConsumer.JobResult process​(org.apache.sling.event.jobs.Job job)

Specified by:
  `process` in interface `org.apache.sling.event.jobs.consumer.JobConsumer`